--examplesLocation = "E:/RDF/RDF-samples"
examplesLocation = "E:/RDF/RDF_TEST_CASES/APPROVED"

------------------------
assert(require('webGet'))

function printTriple(subject,predicate,res,datatype,lang)
	local objString = ''
	if datatype==nil then
		objString = res;
	elseif datatype=='http://www.w3.org/2001/XMLSchema#string' then
		objString = '"'..res..'"'
		if lang~=nil then
			objString = objString..'@'..lang
		end
	else
		objString = '"'..res..'"^^'..datatype
	end
	print(subject)
	print('	',predicate,objString)
end


function test(_,fileName)
	print('----------'..fileName..'---------------')
	local ok,res = webGet.readTriples(fileName,fileName,printTriple)
	assert(ok)
	print()
end

table.foreach( webGet.dirent(examplesLocation,'r','.rdf'), test)

